=== debian/changelog ===
cfdisk-utf8 (2.11n-5+1) unstable; urgency=medium

  * Limited the number of plattforms to those, where it is really
    required and cfdisk binary is built. Closes: #136717

 -- Eduard Bloch <blade@debian.org>  Mon,  4 Mar 2002 09:55:13 +0100

cfdisk-utf8 (2.11n-5) unstable; urgency=medium

  * assimilated util-linux to build a small cfdisk-utf8 package. Only cfdisk
    was needed for our new boot floppies, closes: #135332
  * for previous changelog entries, see util-linux package
  * for all missing files, see the util-linux package

 -- Eduard Bloch <blade@debian.org>  Sun, 17 Feb 2002 15:02:06 +0100
