=== debian/control ===
Source: cfdisk-utf8
Section: base
Priority: optional
Build-Depends: libncurses5-dev, slang1-utf8-dev, gettext, debhelper
Maintainer: Eduard Bloch <blade@debian.org>
Standards-Version: 3.5.6.0

Package: cfdisk-utf8
Architecture: i386 arm hppa mipsel alpha ia64 powerpc mips
Depends: ${shlibs:Depends}
Description: A small UTF8 capable version of cfdisk
 This package contains the cfdisk program linked against the UTF8
 libraries.
 .
 Do not install it unless you really need a fdisk programs
 which needs to handle with UTF8, or unless you need if for a small
 Linux root filesystem like this on the boot-floppies.
